- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_SHMIOP_Profile Class Reference

This class defines the protocol specific attributes required for locating local ORBs over local IPC mechanism to use the shared memory transport. More...

`#include <SHMIOP_Profile.h>`

Inheritance diagram for TAO_SHMIOP_Profile:

[legend]
Collaboration diagram for TAO_SHMIOP_Profile:

[legend]
List of all members.

## Public Member Functions
virtual char | object_key_delimiter (void) const
| TAO_SHMIOP_Profile (const ACE_MEM_Addr &addr, const TAO::ObjectKey &object_key, const TAO_GIOP_Message_Version &version, TAO_ORB_Core *orb_core)
| TAO_SHMIOP_Profile (const char *host, CORBA::UShort port, const TAO::ObjectKey &object_key, const ACE_INET_Addr &addr, const TAO_GIOP_Message_Version &version, TAO_ORB_Core *orb_core)
| TAO_SHMIOP_Profile (TAO_ORB_Core *orb_core)
| Profile constructor, default.
| ~TAO_SHMIOP_Profile (void)
| Destructor is to be called only through <_decr_refcnt>.
virtual char * | to_string ()
| Template methods, please see Profile.h for documentation.
virtual int | encode_endpoints (void)
virtual TAO_Endpoint * | endpoint (void)
virtual CORBA::ULong | endpoint_count (void) const
virtual CORBA::ULong | hash (CORBA::ULong max)
void | add_endpoint (TAO_SHMIOP_Endpoint *endp)
## Static Public Member Functions
static const char * | prefix (void)
| Return the char string prefix.
## Static Public Attributes
static const char | object_key_delimiter_ = '/'
| The object key delimiter that SHMIOP uses or expects.
## Protected Member Functions
virtual int | decode_profile (TAO_InputCDR &cdr)
| Template methods. Please see tao/Profile.h for documentation.
virtual void | parse_string_i (const char *string)
virtual void | create_profile_body (TAO_OutputCDR &cdr) const
virtual int | decode_endpoints (void)
virtual CORBA::Boolean | do_is_equivalent (const TAO_Profile *other_profile)
## Private Attributes
TAO_SHMIOP_Endpoint | endpoint_
CORBA::ULong | count_
| Number of endpoints in the list headed by <endpoint_>.

## Detailed Description

This class defines the protocol specific attributes required for locating local ORBs over local IPC mechanism to use the shared memory transport.

This class defines the SHMIOP profile.

## Constructor & Destructor Documentation

TAO_SHMIOP_Profile::TAO_SHMIOP_Profile | ( | const ACE_MEM_Addr & | addr,
|  | const TAO::ObjectKey & | object_key,
|  | const TAO_GIOP_Message_Version & | version,
|  | TAO_ORB_Core * | orb_core |
| ) |  |  |

Profile constructor, same as above except the object_key has already been marshaled.

TAO_SHMIOP_Profile::TAO_SHMIOP_Profile | ( | const char * | host,
|  | CORBA::UShort | port,
|  | const TAO::ObjectKey & | object_key,
|  | const ACE_INET_Addr & | addr,
|  | const TAO_GIOP_Message_Version & | version,
|  | TAO_ORB_Core * | orb_core |
| ) |  |  |

Profile constructor, this is the most efficient since it doesn't require any address resolution processing.

TAO_SHMIOP_Profile::TAO_SHMIOP_Profile | ( | TAO_ORB_Core * | orb_core | ) |

Profile constructor, default.

TAO_SHMIOP_Profile::~TAO_SHMIOP_Profile | ( | void |  | ) |

Destructor is to be called only through <_decr_refcnt>.

## Member Function Documentation

void TAO_SHMIOP_Profile::add_endpoint | ( | TAO_SHMIOP_Endpoint * | endp | ) |

Add <endp> to this profile's list of endpoints (it is inserted next to the head of the list). This profiles takes ownership of <endp>.

void TAO_SHMIOP_Profile::create_profile_body | ( | TAO_OutputCDR & | cdr | ) | const`[protected, virtual]`

Implements TAO_Profile.

int TAO_SHMIOP_Profile::decode_endpoints | ( | void |  | ) | `[protected, virtual]`

Implements TAO_Profile.

int TAO_SHMIOP_Profile::decode_profile | ( | TAO_InputCDR & | cdr | ) | `[protected, virtual]`

Template methods. Please see tao/Profile.h for documentation.

Implements TAO_Profile.

CORBA::Boolean TAO_SHMIOP_Profile::do_is_equivalent | ( | const TAO_Profile * | other_profile | ) | `[protected, virtual]`

Implements TAO_Profile.

int TAO_SHMIOP_Profile::encode_endpoints | ( | void |  | ) | `[virtual]`

Implements TAO_Profile.

TAO_Endpoint * TAO_SHMIOP_Profile::endpoint | ( | void |  | ) | `[virtual]`

Implements TAO_Profile.

CORBA::ULong TAO_SHMIOP_Profile::endpoint_count | ( | void |  | ) | const`[virtual]`

Implements TAO_Profile.

CORBA::ULong TAO_SHMIOP_Profile::hash | ( | CORBA::ULong | max | ) | `[virtual]`

Implements TAO_Profile.

char TAO_SHMIOP_Profile::object_key_delimiter | ( | void |  | ) | const`[virtual]`

Implements TAO_Profile.

void TAO_SHMIOP_Profile::parse_string_i | ( | const char * | string | ) | `[protected, virtual]`

Implements TAO_Profile.

const char * TAO_SHMIOP_Profile::prefix | ( | void |  | ) | `[static]`

Return the char string prefix.

char * TAO_SHMIOP_Profile::to_string | ( |  | ) | `[virtual]`

Template methods, please see Profile.h for documentation.

Implements TAO_Profile.

## Member Data Documentation

CORBA::ULong TAO_SHMIOP_Profile::count_`[private]`

Number of endpoints in the list headed by <endpoint_>.

TAO_SHMIOP_Endpoint TAO_SHMIOP_Profile::endpoint_`[private]`

Head of this profile's list of endpoints. This endpoint is not dynamically allocated because a profile always contains at least one endpoint.

Currently, a profile contains more than one endpoint, i.e., list contains more than just the head, only when RTCORBA is enabled. However, in the near future, this will be used in nonRT mode as well, e.g., to support TAG_ALTERNATE_IIOP_ADDRESS-style feature. Addressing info of the default endpoint, i.e., head of the list, is transmitted using standard SHMIOP ProfileBody components. See <encode_endpoints> method documentation above for how the rest of the endpoint list is transmitted.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL const char TAO_SHMIOP_Profile::object_key_delimiter_ = '/'`[static]`

The object key delimiter that SHMIOP uses or expects.

The documentation for this class was generated from the following files:

- SHMIOP_Profile.h
- SHMIOP_Profile.cpp